#
# spec file for package qview
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           qview
Version:        3.0
Release:        lp152.2.3
Summary:        Practical and minimal image viewer
License:        GPL-3.0-only
Group:          Productivity/Graphics/Viewers
URL:            https://interversehq.com/qview/
Source:         https://github.com/jurplel/qView/releases/download/%{version}/qView-%{version}.tar.gz#/qView-%{version}.tar.gz
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(Qt5Concurrent) >= 5.9
BuildRequires:  pkgconfig(Qt5Network) >= 5.9
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.9

%description
qView is a Qt image viewer designed with minimalism and usability in mind.
No cluttered interface, just your image and a titlebar.

%prep
%setup -q -n qView

%build
%qmake5
%make_build

%install
INSTALL_ROOT=%{buildroot} %make_install

%files
%license LICENSE
%doc README.md
%{_bindir}/*
%{_datadir}/icons/*
%{_datadir}/applications/*

%changelog
* Wed Mar  4 2020 Andrey Karepin <egdfree@opensuse.org>
- fix download source link (bnc#1165355)
* Mon Jan 13 2020 Andrey Karepin <egdfree@opensuse.org>
- update to 3.0
  * Added keyboard shortcut customization
  * Added the ability to open images from URLs
  * Added the ability to open multiple images from the file dialog
  * Added the ability to copy images from the application
  * Added option to change file sorting
  * Added high DPI support
  * SVGs are now displayed in a high resolution
  * Slideshow timer is now configurable in tenths of a second
  * Added option to not display the recents list
  * Added option to disable scrolling "towards the cursor"
  * The recents menu is now more proactive in clearing out entries that no longer exist
  * Fixed small bug with the "window matches image size" option
  * Fixed bug where the window would exceed the screen boundaries with the "window matches image size" option enabled
  * Fixed crashing with multiple windows under macOS
  * Fixed dock menu oddities under macOS
* Mon Jun  3 2019 Andrey Karepin <egdfree@opensuse.org>
- fix download source url
* Wed May 29 2019 Andrey Karepin <egdfree@opensuse.org>
- initial package for openSUSE
